/*
*Industry Detail
*September 2014
*/

div>h1 a:after {
    content: '\a0\bb';
    color: #000;
}

.left_subnav>ul>li:first-child {
    margin: 3px 11px;
}

#industry_rank_zacks {
    border-top: 1px solid #cacaca;
}

#related_industries,
#industry_rank_zacks #industry_earnings_trend {
    padding: 10px;
    margin: 0 0 10px 0;
    border-bottom: 3px solid #007F06;
}

#industry_details_container,
#industry_news_partner,
#stocks_in_industry,
#stocks_rank_in_industry,
#related_industries_container {
    border-bottom: 3px solid #007F06;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

#industry_rank_zacks>div:first-child {
    border-bottom: 1px solid #CACACA;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

#industry_rank_zacks>div {
    position: relative;
}

#zacks_industry_rank_table .dataTables_length,
#zacks_industry_rank_table .dataTables_paginate {
    right: -520px;
}

#related_industries>h1,
.industry_news>h1 a,
#industry_news_commentary>div>div>h1,
.annual_return>h1,
#industry_performance>h1 a,
#industry_rank_zacks div>h1 {
    color: #007f06;
    text-transform: capitalize;
    font-size: 13.5pt;
    margin-bottom: 10px;
    text-shadow: 0 1px 1px #fff;
}

.rank_industry_select,
.ind_rank_value {
    position: absolute;
    right: 0;
    top: 0;
}

.ind_rank_value {
    font-weight: bold;
    color: #4b4b4b;
}

.ind_rank_value span {
    font-weight: normal;
}

.rank_industry_table {
    margin: 20px 0;
}

#related_industries .industries_rank_table,
#industry_news_commentary .industry_top_commentary,
#industry_performance .two_col>div:first-child {
    width: 400px;
}

#earnings_trend,
#industry_performance .two_col>div {
    width: 330px;
}

.industry_news>h1 a:hover,
#industry_performance>h1 a:hover {
    color: #007f06 !important;
    text-decoration: underline;
}

.annual_return {
    margin-top: 15px;
}

.industry_news {
    width: 332px !important;
}

.industries_rank_table table {
    margin-top: 0;
}

#earnings_trend footer {
    margin: 10px 0;
}

.industries_rank_table table th:nth-child(2),
.industries_rank_table table td:nth-child(2) {
    padding-right: 15px
}

#chart .chart_block {
    float: left;
    margin: 15px 8px 0 0;
}

.sector_header th:first-child,
.sector_company_header th:first-child,
.sector_company_value tbody td:first-child {
    width: 250px;
}

.sector_header th:nth-child(2),
.sector_header th:nth-child(3),
.sector_header th:nth-child(4),
.sector_company_header th:nth-child(2),
.sector_company_header th:nth-child(3),
.sector_company_header th:nth-child(4),
.sector_company_value tbody td:nth-child(2),
.sector_company_value tbody td:nth-child(3),
.sector_company_value tbody td:nth-child(4) {
    width: 125px;
}

.sector_company_header th {
    padding: 15px 0;
    background: #eeeeee;
    /* Old browsers */
    background: -moz-linear-gradient(top, #eeeeee 0%, #cccccc 100%);
    /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #eeeeee), color-stop(100%, #cccccc));
    /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #eeeeee 0%, #cccccc 100%);
    /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, #eeeeee 0%, #cccccc 100%);
    /* Opera 11.10+ */
    background: -ms-linear-gradient(top, #eeeeee 0%, #cccccc 100%);
    /* IE10+ */
    background: linear-gradient(to bottom, #eeeeee 0%, #cccccc 100%);
    /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#eeeeee', endColorstr='#cccccc', GradientType=0);
    /* IE6-9 */
}

/* #industry_sector_data_table_wrapper table.heat_map_ind_table thead tr th{padding-right: 15px !important;} */


.positive_group {
    background: #007f06;
}

.negative_group {
    background: #d10121;
}

.toggle_img {
    margin: 0 5px;
}

.sub_header {
    font-size: 7.5pt;
    display: block;
    font-weight: normal;
}

.sub_header a.in_copy {
    font-size: 7.5pt !important;
}

#rank th,
#rank td {
    padding-right: 5px;
}



/* ----- industry ribbon ----- */
#quote_ribbon_v2.industry_ribbon .ribbon_value .group1 {
    width: 200px;
}

#quote_ribbon_v2.industry_ribbon .ribbon_value .group2 {
    width: 295px;
}

#quote_ribbon_v2.industry_ribbon .ribbon_value .group3 {
    width: 225px;
}

#quote_ribbon_v2.industry_ribbon header .industry_rank {
    float: right;
    margin-top: 2px;
    margin-right: -1px;
    font-size: 10pt;
}

#quote_ribbon_v2.industry_ribbon header .industry_rank strong {
    color: #7d7d7d;
}

#quote_ribbon_v2.industry_ribbon header .industry_rank span {
    padding-left: 0px;
    display: inline-block;
    /*font-weight: bold;*/
}

#industry_rank_overview_container div.two_col>div,
#industry_details_container div.two_col>div,
#related_industries_container div.two_col>div,
#related_industries_container div.two_col>section,
#industry_news_partner div.two_col>section {
    width: 375px;
}

#industry_rank_overview_container div.two_col>div section,
#industry_details_container div.two_col>div section,
#related_industries_container div.two_col>div section {
    border-top: none;
}

#industry_rank_overview_container div.two_col>div section h1,
#industry_details_container div.two_col>div section h1,
#related_industries_container div.two_col>section h1,
#stocks_in_industry>h1,
#news_and_analysis>h1,
#stocks_rank_in_industry>h1,
#commentary_related_container .bulleted>h1,
#partner_analysis>h1 {
    color: #007F06;
    font-size: 13.5pt;
    margin-bottom: 10px;
}

#stocks_in_industry>p {
    margin-top: .5em;
    margin-bottom: .5em;
}

#free_analyst_report {
    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 12px;
    padding-right: 12px;

    -moz-box-shadow: inset 0 2px 4px 0 #fff;
    -webkit-box-shadow: inset 0 2px 4px 0 #fff;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;

    margin: 0 0 10px 0;
    padding: 8px 17px;
    border: 1px solid #cacaca !important;
}

#free_analyst_report>h1 {
    margin-top: 3px;
}

#stock_comp_desc div.pad10 {
    padding-bottom: 10px !important;
}

/*Industry section*/
#commentary_related_container article time[pubdate] {
    display: inline-block !important;
    font-size: 9pt;
    color: #4b4b4b;
    margin-bottom: 5px;
}

#commentary_related_container article span {
    font-size: 9pt;
    color: #4b4b4b;
    margin-left: 5px;
}

#commentary_related_container article h1 {
    margin-left: 0;
}

#zacks_news_commentary_related>h1 {
    width: auto;
}

#zacks_news_commentary_related #loader {
    text-align: center;
}

#zacks_news_commentary_related>p {
    position: relative;
    z-index: 1;
}

#industry_details_container #stock_comp_desc {
    padding: 8px 17px;
    border-top: 1px solid #cacaca;
}

/*industry and sector details page */
#quote_ribbon_v2.industry_ribbon.industry_detail_ribbon .ribbon_value .group3 .industry_rank,
#quote_ribbon_v2.industry_ribbon.industry_detail_ribbon .ribbon_value .group3 p {
    text-align: right;
}

#quote_ribbon_v2.industry_ribbon header .industry_rank span.z_premium {
    width: 16px;
}

/* industry chart module */
#industry_chart #chart_form {
    margin-top: 25px;
}



/*Industry Table*/
table.heat_map_table tbody td:first-child {
    width: 23px;
}

/* table.heat_map_table tbody td:nth-child(2){width: 208px;} */
table.heat_map_table tbody td+td+td {
    width: 100px;
}

table.heat_map_table tr.expanded table#industry_heatmap {
    margin: 0;
}

table.heat_map_table tr.expanded table#industry_heatmap td:first-child {
    max-width: 180px;
    width: 180px !important;
    padding-left: 50px;
}

/* For 8 Columns*/
table.heat_map_table tr.expanded table#industry_heatmap td.align_center {
    display: table-cell;
}

table.heat_map_table tr.expanded table#industry_heatmap td:first-child {
    display: table-cell;
}

/*table.heat_map_table tr.expanded table#industry_heatmap td:first-child{max-width: 155px; width: 155px !important; padding-left: 75px; display: table-cell;}*/
table.heat_map_table tr.expanded table#industry_heatmap a.truncated_text_single {
    display: inline-block;
    float: left;
}


.heat_map_table tr.expanded table#industry_heatmap td:nth-child(2),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(3),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(4),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(5),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(6),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(7),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(8),
.heat_map_table tr.expanded table#industry_heatmap td:nth-child(9),
.heat_map_table tr.expanded table#industry_heatmap td:last-child {
    padding: 8px 8px 8px 10px !important;
    width: 65px !important;
    min-width: 65px;
    text-align: right;
}

#industry_sector_data_table.heat_map_ind_table thead tr th {
    padding: 0 !important;
}

.heat_map_ind_table tr th:first-child,
.heat_map_ind_table tr td:first-child,
.heat_map_ind_table tbody tr th {
    width: 220px !important;
    min-width: 220px;
}

;

.heat_map_ind_table tr thead th,
.heat_map_ind_table tr tbody td {
    width: 65px !important;
    min-width: 65px;
}

.heat_map_ind_table tbody tr td {
    padding: 0 !important;
}

.heat_map_ind_table tbody tr td div {
    padding: 8px 8px 8px 10px;
    min-width: 65px;
}

/* sector table heat map */
.heat_map_table tr th:nth-child(2),
.heat_map_table tr td:nth-child(2) {
    width: 186px !important;
    min-width: 186px;
}

;

.heat_map_table thead tr th,
.heat_map_table tbody tr td {
    width: 65px !important;
    min-width: 65px;
}

;

.heat_map_table tbody tr td {
    padding: 0 !important;
}

.heat_map_table tbody tr td div {
    padding: 8px 8px 8px 10px;
    min-width: 65px;
}

#tableidentifier {
    border-bottom: 1px solid #cacaca;
    position: relative;
}

#tableidentifier a,
#tableidentifier button {
    padding: 0;
    min-width: inherit;
    padding: .2em .4em 2px .4em;
    margin-right: 0;
    border-width: 1px 1px 1px 1px;
    border-style: solid;
    border-color: #d4d4d4;
    background: #dfdfdf;
    text-align: center;
    color: #4b4b4b;
    font-weight: normal;
    text-shadow: none;
    border-radius: 0;
    outline: none;
    font-size: 10pt;
    border-bottom: 1px solid #dfdfdf;
}

#tableidentifier a.active,
#tableidentifier button.active {
    padding-bottom: 2px;
    background: none;
    background-position: left bottom;
    background-repeat: no-repeat;
    border-bottom-width: 0px;
    pointer-events: none;
    color: #4b4b4b;
    font-weight: bold;
}

#tableidentifier a span:after,
#tableidentifier button span:after {
    content: '\a0\bb';
    display: inline-block;
    font-style: normal;
    font-weight: bold;
    position: relative;
    left: -2px;
}

#tableidentifier a.active span,
#tableidentifier button.active span {
    display: none;
}

#tableidentifier a:hover,
#tableidentifier button:hover {
    color: #1d5eb5 !important;
    text-shadow: none;
    cursor: pointer;
}

#tableidentifier button.move_focus.active {
    background-color: #fff;
    position: absolute;
    padding-bottom: 4px;
}

#tableidentifier button.move_focus:nth-of-type(2){        
    margin-left: 4rem;
}

#tableidentifier button.move_focus:nth-of-type(2).active{        
    margin-left: .2rem;
}

/* industry ribbon additional attribute */
#quote_ribbon_v2 .ribbon_value .group3 span.z_premium {
    padding: 0 0 0 17px;
}

/* sectional header */
#key_earnings_container h1,
#industry_news_partner h1,
#related_industries_container h1:first-child {
    text-transform: initial;
}

/* industry details page table fixed column fix */
#related_industries_container .DTFC_LeftWrapper .DTFC_LeftBodyLiner {
    overflow-y: hidden !important;
}

/* Exceptional css for industry new page */
.industry_excep_main .quote_body,
.industry_excep_main #third_rail {
    width: 375px;
}

#industry_sector_data_all .top-left #industry_sector_data_table_filter {
    float: left;
    width: 100%;
    text-align: left;
    margin: 5px 0;
}

#industry_sector_data_all .top-left #industry_sector_data_table_filter input[type=search] {
    border: 1px solid #515151;
}

.adjust-inner-width a,
.push-data-left a,
.adjust-width a {
    float: left;
    box-sizing: border-box !important;
    text-align: left !important;
}

.adjust-inner-width a+a,
.push-data-left a+a,
.adjust-width a+a {
    padding-left: 0 !important;
}

/*Tooltip adjustment*/

#quote_ribbon_v2.industry_ribbon header .industry_rank {
    position: relative;
    top: -1px;
}

#quote_ribbon_v2 header>.industry_rank>span.info-tooltip {
    margin-right: 10px;
    position: relative;
    top: 1px;
}

#quote_ribbon_v2.industry_ribbon header .industry_rank span.z_premium {
    top: 2px;
    position: relative;
}

/* header normalize for industry chart */
#industry_chart>h1 {
    text-transform: inherit;
}

#industry_sector_data_table tbody th {
    font-weight: normal;
}

/* ----- browser hacks ----- */

/* firefox hack */
@-moz-document url-prefix() {

    .dataTables_scrollHeadInner table.heat_map_table thead th,
    .dataTables_scrollHeadInner table.heat_map_table thead td {
        padding: 10px;
        display: table-cell;
    }

    #earnings_release a.truncated_text_single {
        height: 1.4em !important;
    }

    .earnings_trends_table tr.expanded table#industry_earnings_trends td:nth-child(2) {
        width: 154px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(2) {
        width: 76px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(4) {
        width: 140px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(5) {
        width: 100px;
    }

    .earnings_table tr.expanded table#industry_earnings td:last-child {
        width: 144px;
    }

    .sales_table tr.expanded table#industry_sales td:nth-child(2) {
        width: 79px;
    }

    .sales_table tr.expanded table#industry_sales td:nth-child(4) {
        width: 140px;
    }

    .sales_table tr.expanded table#industry_sales td:nth-child(5) {
        width: 100px;
    }

    .sales_table tr.expanded table#industry_sales td:last-child {
        width: 144px;
    }

    .fundamentals_table tr.expanded table#industry_fundamental td:first-child {
        width: 339px;
    }

    table#industry_heatmap tbody tr td:first-child a {
        float: left;
    }

    table#industry_heatmap tbody tr td:first-child a.login_link {
        float: none;
    }

}

/* IE10+11 */
@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {

    table.heat_map_table {
        width: 100% !important;
    }

    table.heat_map_table tbody td:nth-child(2) {
        width: 200px;
    }

    /*table.heat_map_table tbody tr:first-child td:nth-child(2){width: 205px;}*/

    table.heat_map_table tr.expanded table#industry_heatmap td:first-child {
        width: 186px !important;
        display: inline-box;
    }

    table.heat_map_table tr.expanded table#industry_heatmap td:first-child {
        width: 235px !important;
        max-width: 235px !important;
    }

    table.heat_map_table tbody tr:first-child+tr.expanded table#industry_heatmap td:first-child {
        max-width: 237px !important;
    }

    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(2),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(3),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(4),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(5),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(6),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(7),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(8),
    .heat_map_table tr.expanded table#industry_heatmap td:nth-child(9),
    .heat_map_table tr.expanded table#industry_heatmap td:last-child {
        padding: 8px 10px !important;
        width: 100px !important;
    }

    table.heat_map_table tbody td:first-child {
        width: auto;
    }

    .dataTables_scrollHeadInner,
    .dataTables_scrollHeadInner table {
        width: 100% !important;
    }

    table.heat_map_table tr.expanded table#industry_heatmap a.truncated_text_single {
        float: left;
    }

}

/* ----- generic attributes + controlling <td> behaviour under different viewport sizes ----- */
@media screen and (min-width:1024px) {
    .rank_table tr.expanded table td:first-child {
        width: auto;
        padding-left: 0;
    }

    .rank_table tr.expanded table td:nth-child(2) {
        width: auto !important;
    }

    /* for Chrome */
    /* table.heat_map_table tbody td.push-data-left{width: 196px;} */

    .heat_map_table tr.shown td:nth-child(3) div,
    .heat_map_table tr.shown td:nth-child(4) div,
    .heat_map_table tr.shown td:nth-child(5) div,
    .heat_map_table tr.shown td:nth-child(6) div,
    .heat_map_table tr.shown td:nth-child(7) div,
    .heat_map_table tr td:nth-child(8) div,
    .heat_map_table tr td:nth-child(9) div,
    .heat_map_table tr td:last-child div {
        padding-right: 7px;
    }

    /* for laptop screens (13") */
    #quote_ribbon_v2 .ribbon_value .industry_rank {
        font-size: 1.13em;
    }

    .earnings_table tr.expanded table#industry_earnings td:last-child,
    .sales_table tr.expanded table#industry_sales td:last-child {
        width: 141px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(5),
    .sales_table tr.expanded table#industry_sales td:nth-child(5) {
        width: 96px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(4),
    .sales_table tr.expanded table#industry_sales td:nth-child(4) {
        width: 142px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(3),
    .sales_table tr.expanded table#industry_sales td:nth-child(3) {
        width: 95px;
    }

    .earnings_table tr.expanded table#industry_earnings td:nth-child(2),
    .sales_table tr.expanded table#industry_sales td:nth-child(2) {
        width: 90px;
    }

    .earnings_table tr.expanded table#industry_earnings td:first-child,
    .sales_table tr.expanded table#industry_sales td:first-child {
        width: auto;
    }

    /* width adjustment */
    .adjust-width,
    .adjust-inner-width {
        width: 333px !important;
        border-top: 0;
        background-color: transparent !important;
        text-align: left;
    }

    .push-data-left.adjust-inner-width {
        width: 296px !important;
        padding-right: 24px !important;
    }

    /* for sales tab */
    tr.expanded td.push-data-left.adjust-inner-width {
        width: 303px !important;
        padding-right: 32px !important;
    }

    .adjust-inner-width {
        padding-right: 32px !important;
    }

    .adjust-width a {
        float: left;
    }

    .adjust-width span,
    .adjust-inner-width span,
    .push-data-left span {
        padding-left: 5px;
    }

    .push-data-left span {
        float: left;
    }

    tr.expanded .push-data-left a:first-child,
    tr.expanded a.truncated_text_single,
    td.adjust-inner-width a:first-child {
        margin-left: 0 !important;
    }

    #industry_rank_table_wrapper .DTFC_LeftWrapper .DTFC_LeftBodyLiner {
        overflow-y: hidden !important;
    }
}


@media screen and (max-width:992px) {
    table#industry_sector_data_table.rank_table tr.shown td.details-control {
        width: 6px;
    }

}

@media screen and (min-width:320px) {
    #industry_sector_data_table tr.expanded td tr td:nth-child(2) a {
        margin-left: -4px;
    }

    .main_body_full+div div.dfp_ad_unit {
        margin-top: 30px !important;
        margin-bottom: 30px !important;
    }
}

@media screen and (max-width:1023px) {

    /* Industry Ribbon*/
    #quote_ribbon_v2.industry_ribbon.industry_detail_ribbon .industry_rank {
        width: 100% !important;
        float: left !important;
        margin-top: 4px;
        margin-bottom: 10px;
        padding-bottom: 10px;
        border-bottom: 1px solid #ccc;
    }

    .two_col>div {
        width: 100%;
        float: left;
    }

    .two_col>div+div {
        margin-left: 0 !important;
    }

    #related_industries_container div.two_col>div {
        float: left;
        width: 100%;
    }

    #related_industries_container div.two_col>div section#free_analyst_report,
    #industry_details_container div.two_col>div section#stock_comp_desc {
        width: 90%;
    }

    /* sector details page blocks */
    #related_industries,
    #industry_rank_zacks,
    #industry_earnings,
    #industry_earnings_trend {
        margin-bottom: 20px;
    }

    #industry_rank_overview_container div.two_col>div,
    #industry_details_container div.two_col>div,
    #related_industries_container div.two_col>div,
    #industry_details_container div.two_col>div,
    #related_industries_container div.two_col>section,
    #industry_news_partner div.two_col>section {
        width: 100%;
    }

    #industry_earnings_trend .earnings_calendar_link:first-line {
        padding-bottom: 4px;
    }

    #related_industries_container #free_analyst_report {
        width: 94%;
        margin-top: 5px;
        margin-bottom: 5px;
        padding-top: 0;
        padding-bottom: 0;
    }

    #related_industries_container #free_analyst_report h1 {
        padding-bottom: 5px;
    }


    #related_industries_container div.two_col div.ad {
        width: 94% !important;
        margin-left: 0 !important;
    }

    p.earnings_calendar_link {
        float: left;
        width: 100%;
        margin-left: 50px;
    }

    p.earnings_calendar_link::before {
        display: block;
    }

    #quote_ribbon_v2.industry_ribbon.industry_detail_ribbon .industry_rank,
    #quote_ribbon_v2.industry_ribbon.industry_detail_ribbon p {
        margin-top: 0;
        padding-bottom: 0;
        border-bottom: none;
        text-align: left !important;
    }


    /*ESP Industry and Sector Page*/
    #quote_ribbon_v2.industry_sector_ribbon .ribbon_strip_value .left_value,
    #quote_ribbon_v2.industry_ribbon_chip .ribbon_strip_value .left_value,
    #quote_ribbon_v2.industry_sector_ribbon .ribbon_strip_value .left_value>p,
    #quote_ribbon_v2.industry_ribbon_chip .ribbon_strip_value .left_value>p,
    #perf_chart_caontainer .two_col>div,
    #related_industries_container.related_industries_container_v2 div.two_col #industry_rank_table_wrapper,
    #related_industries_container.related_industries_container_v2 div.two_col>div section,
    #related_industries_container.related_industries_container_v2 div.two_col>div div,
    #related_industries_container.related_industries_container_v2 div.two_col>div section,
    #related_industries_container.related_industries_container_v2 div.two_col>div div {
        width: 100%;
    }

    #quote_ribbon_v2.industry_sector_ribbon .ribbon_strip_value .left_value>p,
    #quote_ribbon_v2.industry_ribbon_chip .ribbon_strip_value .left_value>p {
        margin-bottom: 6px !important;
    }

    #quote_ribbon_v2.industry_sector_ribbon .ribbon_strip_value .sector_change,
    #quote_ribbon_v2.industry_ribbon_chip .ribbon_strip_value .sector_change {
        float: left;
    }

    #quote_ribbon_v2.industry_ribbon_chip .ribbon_strip_value .left_value .tooltip-wrapper {
        position: relative;
        left: 72px;
        margin-top: -25px;
    }

    #perf_chart_caontainer #industry_chart #chart_canvas.chart_canvas svg {
        width: 100% !important;
        min-width: 100% !important;
        max-width: 100%;
    }

    /* industry details page table fixes */
    #related_industries_v2 tr td span.z_premium {
        width: auto;
    }

    /* sector/industry drill down table page */
    section#earnings_release ul.tabs li {
        font-size: 10pt !important;
    }

    section#earnings_release ul.tabs li a {
        padding: .4em .2em 3px .2em !important;
    }

    #industry_sector_data_table tbody tr td a {
        width: auto;
        font-size: 8pt;
        text-align: left;
    }

    /*#industry_sector_data_table tbody tr td span{float: left; font-size: 8pt;}*/
    #earnings_release #industry_sector_data_table a.truncated_text_single {
        padding-right: 5px;
    }

    #industry_sector_data_table tr.expanded td tr td:nth-child(2) a {
        margin-left: 0;
    }

    #industry_sector_data_table tbody tr td a.premium {
        height: 16px;
        line-height: 19px;
        display: inline-block;
    }

    #industry_sector_data_table tbody tr td.up,
    #industry_sector_data_table tbody tr td.down {
        float: right;
        font-size: 10pt;
    }

    tr td span,
    tr.expanded td span {
        width: 100%;
        /*text-align: center;*/
    }

    tr td.adjust-width span,
    tr.expanded td.adjust-inner-width span,
    td.push-data-left span,
    tr.expanded td.push-data-left span {
        width: auto;
        text-align: left;
    }

    tr.expanded td a.premium {
        margin-left: -4px;
    }

    #earnings_release table tbody th,
    #earnings_release table tbody th:first-child {
        text-align: center;
    }

    #earnings_release>h3 {
        float: left;
        margin: 0 0 10px 0;
        width: 100%;
    }

    /* industry rank module*/
    #perf_chart_caontainer,
    #related_industries_container,
    #key_earnings_container,
    #related_industries_container,
    #industry_news_partner,
    #industry_details_container.industry_details_v2 #industry_earnings,
    #industry_details_container.industry_details_v2 #financial_ratio {
        margin-left: 10px;
        margin-right: 10px;
    }

    #industry_chart+#industry_news_partner,
    #sector_chart+#industry_news_partner {
        margin-left: 0;
    }

    #key_earnings_container .two_col>div {
        float: left;
        width: 100%;
    }

    .industry_excep_main .quote_body {
        float: left;
        width: 100%;
    }

    #industry_sector_data_table_wrapper div.dataTables_scroll {
        width: 98%;
        overflow-x: scroll;
    }

    #industry_sector_data_table_wrapper {
        overflow-x: auto !important;
        overflow-y: hidden;
    }

    /* carousel */
    section.full_width_carousel {
        border-bottom: 1px solid #cacaca;
    }

    section.full_width_carousel>h1 {
        margin-bottom: 0;
    }

    section.full_width_carousel .swiper-wrapper article a h1 {
        border-bottom: 0;
        font-size: 12px !important;
    }

    /* p tag added in caraousel */
    section.full_width_carousel .swiper-wrapper article a p {
        font-size: 10.5pt !important;
        border-bottom: 1px solid #CACACA;
        padding-bottom: 2px;
        margin: 0.3em 0 0.1em 0 !important;
        clear: both;
        overflow: hidden;
        width: 100%;
        text-align: left;
    }

    section.full_width_carousel {
        border-bottom: 1px solid #cacaca;
    }

    section.full_width_carousel>p {
        margin-bottom: 0;
    }

    section.full_width_carousel .swiper-wrapper article a p {
        border-bottom: 0;
        font-size: 12px !important;
        font-weight: 700;
        text-shadow: 0 1px 1px #fff;
    }

    section.full_width_carousel .swiper-wrapper .swiper-slide article header a p {
        position: relative;
        z-index: 99999;
        display: inline-block;
    }

    section.full_width_carousel .swiper-wrapper .swiper-slide article header a:hover p {
        color: #1d5eb5 !important;
    }

    @media screen and (min-width:768px) and (max-width:1024px) {
        #industry_sector_data_table td a.truncated_text_single {
            height: 1.5em !important;
        }

        /*carousel*/
        section.full_width_carousel .swiper-wrapper article a h1 {
            max-height: none;

        }
    }


    #industry_sector_data_all .dataTables_wrapper {
        position: relative;
        clear: both;
        zoom: 1;
        zoom: 1;
        padding-bottom: 20px;
    }

    #industry_sector_data_all .dataTables_wrapper .DTFC_ScrollWrapper {
        width: 100% !important;
        height: calc(100% + 150px) !important;
        height: -moz-calc(100% - 45px) !important;
        height: -webkit-calc(100% - 45px) !important;
    }

    #industry_sector_data_all .dataTables_wrapper .dataTables_scroll {
        clear: both;
    }

    #industry_sector_data_all .dataTables_wrapper .dataTables_scrollHeadInner table thead th:first-child {
        padding-left: 10px;
    }

    /* alignment issue fixation */
    @media (max-width:1023px) {

        #industry_sector_data_table_wrapper .dataTables_scrollHead,
        #industry_sector_data_table_wrapper .dataTables_scrollBody,
        #industry_sector_data_table_wrapper .dataTables_scrollHeadInner,
        #industry_sector_data_table_wrapper .dataTables_scrollHeadInner table,
        #industry_sector_data_table_wrapper .dataTables_scrollBody table {
            width: 800px !important;
        }

        #industry_sector_data_table_wrapper .dataTables_scrollHeadInner table.heat_map_ind_table,
        #industry_sector_data_table_wrapper .dataTables_scrollBody table.heat_map_ind_table {
            width: 100% !important;
        }


        #industry_sector_data_all table thead th:first-child {
            width: 186px !important;
            min-width: 186px;
            max-width: 186px;
        }


        #industry_sector_data_all table tbody th,
        #industry_sector_data_all table tbody th.adjust-width {
            min-width: 196px;
            max-width: 196px;
        }

        #industry_sector_data_all table thead th {
            width: 85px !important;
            min-width: 85px;
            padding-left: 10px;
        }

        #industry_sector_data_all table tbody td {
            min-width: 85px;
        }

        /* for different tables */
        #industry_sector_data_all table.fundamentals_table {
            width: 1184px !important;
        }

        #industry_sector_data_all table.rank_table thead th:first-child,
        #industry_sector_data_all table.earnings_trends_table thead th:first-child,
        #industry_sector_data_all table.earnings_table thead th:first-child,
        #industry_sector_data_all table.fundamentals_table thead th:first-child,
        #industry_sector_data_all table.performance_table thead th:first-child,
        #industry_sector_data_all table.heat_map_table thead th:first-child {
            width: 20px !important;
            min-width: 20px;
            max-width: 20px;
        }

        #industry_sector_data_all table.rank_table thead th:nth-child(2),
        #industry_sector_data_all table.earnings_trends_table thead th:nth-child(2),
        #industry_sector_data_all table.earnings_table thead th:nth-child(2),
        #industry_sector_data_all table.fundamentals_table thead th:nth-child(2),
        #industry_sector_data_all table.performance_table thead th:nth-child(2),
        #industry_sector_data_all table.heat_map_table thead th:nth-child(2) {
            width: 186px !important;
            min-width: 186px;
            max-width: 186px;
        }

        /* +/- cell for different tables */
        #industry_sector_data_all table.rank_table tbody th,
        #industry_sector_data_all table.earnings_trends_table tbody th,
        #industry_sector_data_all table.earnings_table tbody th,
        #industry_sector_data_all table.fundamentals_table tbody th,
        #industry_sector_data_all table.performance_table tbody th,
        #industry_sector_data_all table.heat_map_table tbody th {
            min-width: 20px;
            max-width: 20px;
        }

        /* expanded section for all tables */

        #industry_sector_data_all .dataTables_scrollBody table tr.expanded>td {
            min-width: auto;
            max-width: none;
        }

        #industry_sector_data_all .dataTables_scrollBody table tr.expanded td:first-child {
            min-width: 20px;
            max-width: 20px;
        }

        #industry_sector_data_all table tr.expanded td:nth-child(2) {
            min-width: 186px;
            padding-left: 18px;
        }

        /* industry heat map table heat map */

        #industry_sector_data_all table.heat_map_ind_table thead th:first-child {
            width: 186px !important;
            min-width: 186px;
        }

        #industry_sector_data_all table.heat_map_ind_table thead th {
            width: 73px !important;
            min-width: 73px;
        }

        #industry_sector_data_all table.heat_map_ind_table tbody th {
            min-width: 196px;
            max-width: 196px;
        }

        .heat_map_ind_table tbody tr td div {
            min-width: 85px;
        }

        /* sector table heat map */
        table.heat_map_table tr.expanded table#industry_heatmap {
            width: 100% !important;
        }

        #industry_sector_data_all table.heat_map_table thead th {
            width: 73px !important;
            min-width: 73px;
        }

        .heat_map_table tr th:first-child {
            min-width: 20px;
        }

        table.heat_map_table tbody td,
        .heat_map_table tbody tr td div {
            min-width: 73px;
        }

        #industry_sector_data_all .heat_map_table tr.expanded table#industry_heatmap td {
            width: 74px !important;
            min-width: 74px;
        }
    }

    #industry_sector_data_all .heat_map_table tr.expanded table#industry_heatmap td:first-child {
        width: 177px !important;
        min-width: 177px;
        max-width: 177px;
        padding-left: 60px;
        padding-right: 0;
        text-align: left;
    }
}


/* visual fixation related to sector and industry page sectional main top tab buttons */
@media screen and (min-width: 992px) {
    #tableidentifier button.move_focus:nth-of-type(2){        
        margin-left: 4rem;
    }
}

@media screen and (max-width:991.98px)
{
    #industry_chart .chart_canvas {margin-left: 0 !important;}
}
